Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166646 - NullPointerException at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.getLicense
NullPointerException at org.netbeans.modules.autoupdate.updateprovider.Autoup...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All All
: P3 (vote)
: 6.x
Assigned To: dlipin
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 67patch1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 21:05 UTC by mstarnacki
Modified: 2009-07-22 15:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (996 bytes, text/plain)
2009-06-05 21:06 UTC, mstarnacki
Details
stacktrace (996 bytes, text/plain)
2009-06-26 05:32 UTC, hantsy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mstarnacki 2009-06-05 21:05:53 UTC
Build: NetBeans IDE 6.7 RC2 (Build 200906042131)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.24-21-generic, i386

User Comments:
mstarnacki: I tried to add plugins for maven project (Tools->Plugins->Downloaded). Plugins is from official package mevenide2-netbeans-3.1.4.zip.
1. The problem is Netbeans Maven2 Archetype 2.x plugin
2. Others plugins don't install in depens queue. I have to install every plugin manually.



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.getLicense(AutoupdateCatalogCache.java:153)
        at org.netbeans.modules.autoupdate.services.UpdateLicenseImpl.getAgreement(UpdateLicenseImpl.java:81)
        at org.netbeans.modules.autoupdate.updateprovider.ModuleItem.getAgreement(ModuleItem.java:161)
        at org.netbeans.modules.autoupdate.services.ModuleUpdateElementImpl.getLicence(ModuleUpdateElementImpl.java:173)
        at org.netbeans.api.autoupdate.UpdateElement.getLicence(UpdateElement.java:197)
        at org.netbeans.modules.autoupdate.ui.wizards.InstallUnitWizardModel.allLicensesApproved(InstallUnitWizardModel.java:128)
Comment 1 mstarnacki 2009-06-05 21:06:02 UTC
Created attachment 83261 [details]
stacktrace
Comment 2 dlipin 2009-06-05 21:33:41 UTC
Could you please give the URLs for where I can download the plugins?
Comment 4 Quality Engineering 2009-06-11 08:57:42 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8c38d3d00400
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #166646 NullPointerException at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.getLicense
Comment 5 hantsy 2009-06-26 05:32:48 UTC
Build: NetBeans IDE 6.7 RC3 (Build 200906142201)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Linux, 2.6.29.5-191.fc11.i586, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.autoupdate.updateprovider.AutoupdateCatalogCache.getLicense(AutoupdateCatalogCache.java:153)
        at org.netbeans.modules.autoupdate.services.UpdateLicenseImpl.getAgreement(UpdateLicenseImpl.java:81)
        at org.netbeans.modules.autoupdate.updateprovider.ModuleItem.getAgreement(ModuleItem.java:161)
        at org.netbeans.modules.autoupdate.services.ModuleUpdateElementImpl.getLicence(ModuleUpdateElementImpl.java:173)
        at org.netbeans.api.autoupdate.UpdateElement.getLicence(UpdateElement.java:197)
        at org.netbeans.modules.autoupdate.ui.wizards.InstallUnitWizardModel.allLicensesApproved(InstallUnitWizardModel.java:128)
Comment 6 hantsy 2009-06-26 05:32:53 UTC
Created attachment 84041 [details]
stacktrace
Comment 7 dlipin 2009-07-02 11:18:20 UTC
hantsy, mstarnacki, Michael,

could you please verify this issue in development builds?
http://bits.netbeans.org/dev/nightly/latest/

The URL with the plugins is:
http://mevenide.codehaus.org/release/mevenide2-netbeans-3.1.4.zip

After doing that we`ll be able to include this bug fix into the patch.
Comment 8 Marian Mirilovic 2009-07-08 13:42:07 UTC
verified in NB Dev (20090708)
Comment 9 pgebauer 2009-07-08 16:33:47 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/18d73a78c72c
Comment 10 pgebauer 2009-07-22 15:21:34 UTC
Could somebody explain to me why the 67patch1-fixed status whiteboard has been removed even though the changeset 18d73a78c72c wasn't rolled back 
from the release67_fixes branch?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo